Products
Get a list of product currencies
Use this method to obtain a list of the available product currencies. A response includes only enabled product currencies.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?string
Sorts the items by a specified value
Value in
- "priority"
- "createTime"
filter?
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/products/currencies?limit=10&offset=0&sort_order=desc" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 1, "caption": "USD", "product": { "id": 1, "type": "personal", "name": "MT5 Live", "caption": "MT5 Live", "group": { "id": 1, "caption": "Fiat", "description": "Fiat", "type": "default", "priority": 0, "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00" }, "platform": { "id": 1, "caption": "MetaTrader5 Live", "shortCaption": "MT5", "name": "mt5", "class": "MetaTrader5", "isDemo": true } }, "currency": { "alphabeticCode": "USD", "minorUnit": 2, "name": "US Dollar", "numericCode": 840 }, "factory": 1, "variants": { "startAmounts": [ "100.00" ], "leverages": [ 0 ] }, "platformGroups": [ "string" ], "isHedgingEnabled": true, "maxAccounts": 1, "permissions": [ "deposit" ], "priority": 1, "linkInfo": "https://example.com", "agreementLink": "https://example.com", "minDepositAmount": "100.00" } ]}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}